<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Employee and Order Search</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 20px;
        }
        form {
            margin-bottom: 20px;
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 5px;
            background-color: #f9f9f9;
            width: 50%;
        }
        label {
            display: block;
            margin: 10px 0 5px;
            font-weight: bold;
        }
        select, input {
            width: 100%;
            padding: 8px;
            margin-bottom: 10px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        button {
            padding: 10px 15px;
            color: #fff;
            background-color: #007BFF;
            border: none;
            border-radius: 4px;
            cursor: pointer;
        }
        button:hover {
            background-color: #0056b3;
        }
    </style>
</head>
<body>
    <h1>Search Employees and Orders</h1>

    <!-- Employee Number Search Form -->
    <form action="handle_employee_num.php" method="POST">
        <h2>Employee Number Search</h2>
        <label for="employeeNumber">Employee Number:</label>
        <select id="employeeNumber" name="employeeNumber" required>
            <option value="" disabled selected>Select Employee Number</option>
            <?php
            // Connect to the database
            include 'mysql_connect.php';
            // I used dynamic dropdown implementation concepts from the assignment guidelines.
            // Reference: https://www.w3schools.com/php/php_mysql_select.asp

            $query = "SELECT employeeNumber FROM employees";
            // Execute the SQL query: https://www.php.net/manual/en/mysqli.query.php
            $result = $dbc->query($query);
            
            //Fetch a result row as an associative array: https://www.php.net/manual/en/mysqli-result.fetch-assoc.php
            while ($row = $result->fetch_assoc()) {
                echo "<option value='" . $row['employeeNumber'] . "'>" . $row['employeeNumber'] . "</option>";
            }
            ?>
        </select>
        <button type="submit">Search Employee</button>
    </form>

    <!-- Order Date Range Search Form -->
    <form action="handle_orderdate.php" method="POST">
        <h2>Order Date Range Search</h2>
        
        <!-- Start Date -->
        <label for="startDate">Start Date:</label>
        <div>
            <select id="startYear" name="startYear" required>
                <option value="" disabled selected>Year</option>
                <?php
                 // Reference for `date()`: https://www.php.net/manual/en/function.date.php
                for ($year = 2000; $year <= date('Y'); $year++) {
                    echo "<option value='$year'>$year</option>";
                }
                ?>
            </select>
            <select id="startMonth" name="startMonth" required>
                <option value="" disabled selected>Month</option>
                <?php
                for ($month = 1; $month <= 12; $month++) {
                    // Reference for `mktime()`: https://www.php.net/manual/en/function.mktime.php
                    echo "<option value='$month'>" . date('F', mktime(0, 0, 0, $month, 10)) . "</option>";
                }
                ?>
            </select>
            <select id="startDay" name="startDay" required>
                <option value="" disabled selected>Day</option>
                <?php
                for ($day = 1; $day <= 31; $day++) {
                    echo "<option value='$day'>$day</option>";
                }
                ?>
            </select>
        </div>
        
        <!-- End Date -->
        <label for="endDate">End Date:</label>
        <div>
            <select id="endYear" name="endYear" required>
                <option value="" disabled selected>Year</option>
                <?php
                 // Reference for `date()`: https://www.php.net/manual/en/function.date.php
                for ($year = 2000; $year <= date('Y'); $year++) {
                    echo "<option value='$year'>$year</option>";
                }
                ?>
            </select>
            <select id="endMonth" name="endMonth" required>
                <option value="" disabled selected>Month</option>
                <?php
                for ($month = 1; $month <= 12; $month++) {
                    // Reference for `mktime()`: https://www.php.net/manual/en/function.mktime.php
                    echo "<option value='$month'>" . date('F', mktime(0, 0, 0, $month, 10)) . "</option>";
                }
                ?>
            </select>
            <select id="endDay" name="endDay" required>
                <option value="" disabled selected>Day</option>
                <?php
                for ($day = 1; $day <= 31; $day++) {
                    echo "<option value='$day'>$day</option>";
                }
                ?>
            </select>
        </div>

        <button type="submit">Search Orders</button>
    </form>
</body>
</html>
