<?php
// Include the database connection file
include 'mysql_connect.php';

// Retrieve the start and end dates from the POST data
$startYear = $_POST['startYear'];
$startMonth = str_pad($_POST['startMonth'], 2, '0', STR_PAD_LEFT); 
$startDay = str_pad($_POST['startDay'], 2, '0', STR_PAD_LEFT); 
$endYear = $_POST['endYear'];
$endMonth = str_pad($_POST['endMonth'], 2, '0', STR_PAD_LEFT); 
$endDay = str_pad($_POST['endDay'], 2, '0', STR_PAD_LEFT); 

// Combine the year, month, and day
$startDate = "$startYear-$startMonth-$startDay";
$endDate = "$endYear-$endMonth-$endDay";

// Prepare and execute the query to fetch orders within the date range
$query = "SELECT * FROM orders WHERE orderDate BETWEEN ? AND ?";
// Reference for prepare: https://www.php.net/manual/en/mysqli.prepare.php
$stmt = $dbc->prepare($query);
// https://www.php.net/manual/en/mysqli-stmt.bind-param.php
$stmt->bind_param('ss', $startDate, $endDate); 
// Executes the prepared SQL statement : https://www.php.net/manual/en/mysqli-stmt.execute.php
$stmt->execute();
// Get the results from the executed query: https://www.php.net/manual/en/mysqli-stmt.get-result.php
$result = $stmt->get_result();

// Check if any results were found
// Check if any results were found: https://www.php.net/manual/en/mysqli-result.num-rows.php
if ($result->num_rows > 0) {
    // Fetch and display order details
    echo "<h2>Orders Between $startDate and $endDate</h2>";
    //Fetch order details https://www.php.net/manual/en/mysqli-result.fetch-assoc.php
    while ($row = $result->fetch_assoc()) {
        echo "Order Number: " . htmlspecialchars($row['orderNumber']) . "<br>";
        echo "Order Date: " . htmlspecialchars($row['orderDate']) . "<br>";
    }
} else {
    // Display a message if no orders are found
    echo "No orders found between $startDate and $endDate";
}
?>
